Draft Line/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/sv|Name=Draft_Line|Workbenches=[[Draft Module/sv|Skiss]]|MenuLocation=Draft -> Line}}
{{GuiCommand|Name=Draft Line|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Line|Shortcut=L I|SeeAlso=[[Draft Wire|Draft Wire]]}}


==Description==
==Description==
Line 32: Line 32:
==Scripting==
==Scripting==
The Line tool can by used in [[macros]] and from the python console by using the following function:
The Line tool can by used in [[macros]] and from the python console by using the following function:
{{Code|code=
<syntaxhighlight>
makeLine (Vector, Vector)
makeLine (Vector, Vector)
}}
</syntaxhighlight>
* Creates a line between the two given vectors. The current draft linewidth and color will be used.
* Creates a line between the two given vectors. The current draft linewidth and color will be used.
* Returns the newly created object.
* Returns the newly created object.


Example:
Example:
{{Code|code=
<syntaxhighlight>
import FreeCAD, Draft
import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
}}
</syntaxhighlight>


{{clear}}
{{clear}}

Revision as of 21:39, 1 January 2015

Draft Line

Menu location
Draft -> Line
Workbenches
Draft, Arch
Default shortcut
L I
Introduced in version
-
See also
Draft Wire

Description

The Line tool creates a straight, two-points line in the current work plane. It takes the linewidth and color previously set on the Tasks tab. The Line tool behaves exactly like the Draft Wire tool, except that it stops after two points.

Bruk

  • Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Nedtryckning av SKIFT kommer att begränsa din nya punkt i relation till föregående punkt.
  • Skriv in siffror för att manuellt mata in en koordinat.
  • Nedtryckning av CTRL+Z eller klickning på "Undo" knappen kommer att ångra den sista punkten.
  • Om du trycker på ESC så avbryts funktionen.
  • Den skapade cirkeln kommer att ha nuvarande linjestil.

Options

  • Press X, Y or Z after the first point to constrain the second point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the second point are relative to the first one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Line tool will restart after you give the second point, allowing you to draw another line segment without pressing the Line button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your second point horizontally or vertically in relation to the first one.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press ESC or the Cancel button to abort the current Line command.

Properties

  • DataStart: The start point
  • DataEnd: The end point

Scripting

The Line tool can by used in macros and from the python console by using the following function:

makeLine (Vector, Vector)
  • Creates a line between the two given vectors. The current draft linewidth and color will be used.
  • Returns the newly created object.

Example:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))